﻿using System;
using System.Collections.Generic;

using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Steema.TeeChart.Web;
using System.IO;
using System.Drawing;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        InitializeChart();
    }
    MemoryStream tmpChart, tmpChart2;
    Steema.TeeChart.Chart ch1,ch2;
    private void InitializeChart()
    {
        ch1 = WebChart1.Chart;
        ch2 = WebChart2.Chart;
        if (Session["ch1"] == null && Session["ch2"] == null)
        {
           tmpChart = new System.IO.MemoryStream();
           tmpChart2 = new MemoryStream(); 
           Steema.TeeChart.Styles.Line line = new Steema.TeeChart.Styles.Line(WebChart1.Chart);
           line.FillSampleValues();
           Steema.TeeChart.Styles.Line line2 = new Steema.TeeChart.Styles.Line(WebChart2.Chart);
           line2.FillSampleValues();

           ch1.Export.Template.Save(tmpChart); 
           ch2.Export.Template.Save(tmpChart2);
           Session.Add("ch1", tmpChart);
           Session.Add("ch2", tmpChart2);
        }
        else
        {
            //retrieve the session stored Chart
            tmpChart = (System.IO.MemoryStream)Session["ch1"];
            tmpChart2 = (System.IO.MemoryStream)Session["ch2"];
            //set the Stream position to 0 as the last read/write
            //will have moved the position to the end of the stream
           tmpChart.Position = 0;
           tmpChart2.Position = 0;
            //import saved Chart
           WebChart1.Chart.Import.Template.Load(tmpChart);
           WebChart2.Chart.Import.Template.Load(tmpChart2);
           ch1 = WebChart1.Chart;
        }
       
    }
    protected void Button1_Click(object sender, EventArgs e)
    {
        Steema.TeeChart.Export.JPEGFormat jPEG = WebChart1.Chart.Export.Image.JPEG;

        jPEG.Save(@"c:\Chart1.jpeg");
        
    }
    protected void Button2_Click(object sender, EventArgs e)
    {
        Steema.TeeChart.Export.JPEGFormat jPEG1 = WebChart2.Chart.Export.Image.JPEG;
        jPEG1.Save(@"c:\Chart2.jpeg");
    }
}


    //private System.Windows.Forms.PrintPreviewDialog printPreviewDialog1 = new System.Windows.Forms.PrintPreviewDialog();
    //private System.Drawing.Printing.PrintDocument printDocument1 = new System.Drawing.Printing.PrintDocument();
    //private void InitializeChart()
    //{
    //    Steema.TeeChart.Styles.Line line1 = new Steema.TeeChart.Styles.Line(WebChart1.Chart);
    //    Steema.TeeChart.Styles.Bar bar1 = new Steema.TeeChart.Styles.Bar(WebChart2.Chart);
    //    Steema.TeeChart.Styles.Pie pie1 = new Steema.TeeChart.Styles.Pie(WebChart3.Chart);
    //    Steema.TeeChart.Styles.Points points1 = new Steema.TeeChart.Styles.Points(WebChart4.Chart);
    //    line1.FillSampleValues();
    //    bar1.FillSampleValues();
    //    pie1.FillSampleValues();
    //    points1.FillSampleValues();
    //    printDocument1.PrintPage += new System.Drawing.Printing.PrintPageEventHandler(printDocument1_PrintPage);
    //}

    //void printDocument1_PrintPage(object sender, System.Drawing.Printing.PrintPageEventArgs e)
    //{
    //    System.Drawing.Rectangle r1, r2, r3, r4;
    //    System.Drawing.Imaging.Metafile m1, m2, m3, m4;
    //    //WebChart1
    //    r1 = new System.Drawing.Rectangle(10, 10 + 1 * 200, 700, 200);
    //    m1 = WebChart3.Chart.Metafile(WebChart1.Chart, r1.Width, r1.Height);
    //    e.Graphics.DrawImage(m1, r1, WebChart1.Chart.Chart.ChartBounds, System.Drawing.GraphicsUnit.Pixel);
    //    //WebChart2
    //    r2 = new System.Drawing.Rectangle(10, 10 + 2 * 200, 700, 200);
    //    m2 = WebChart2.Chart.Metafile(WebChart2.Chart, r2.Width, r2.Height);
    //    e.Graphics.DrawImage(m2, r2, WebChart2.Chart.Chart.ChartBounds, System.Drawing.GraphicsUnit.Pixel);
    //    //WebChart3
    //    r3 = new System.Drawing.Rectangle(10, 10 + 3 * 200, 700, 200);
    //    m3 = WebChart3.Chart.Metafile(WebChart3.Chart, r3.Width, r3.Height);
    //    e.Graphics.DrawImage(m3, r3, WebChart3.Chart.Chart.ChartBounds, System.Drawing.GraphicsUnit.Pixel);
    //    //WebChart4
    //    r4 = new System.Drawing.Rectangle(10, 10 + 4 * 200, 700, 200);
    //    m4 = WebChart3.Chart.Metafile(WebChart4.Chart, r4.Width, r4.Height);
    //    e.Graphics.DrawImage(m4, r4, WebChart4.Chart.Chart.ChartBounds, System.Drawing.GraphicsUnit.Pixel);
    //}
    //protected void Button1_Click(object sender, EventArgs e)
    //{
    //    printPreviewDialog1.Document = printDocument1;
    //    printPreviewDialog1.ShowDialog();
    //}
